package cn.com.qmth.dp.examcloud.oe.modules.export_exam_record_sql_file;

import cn.com.qmth.dp.examcloud.oe.util.FileUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 导出 - 考试明细SQL文件
 */
@Component
public class ExportExamRecordSqlFile {

    private static Logger log = LoggerFactory.getLogger(ExportExamRecordSqlFile.class);

    @Autowired
    private JdbcTemplate jdbcTemplate;

    public void start() {
        List<Long> examIds = new ArrayList<>();

        // examIds.add(1L);

        this.export(examIds);
    }

    private void export(List<Long> examIds) {
        for (Long examId : examIds) {
            List<Map<String, Object>> rows = new ArrayList<>();

            // todo query

            this.toSqlFile(examId, rows);
        }
    }

    private void toSqlFile(Long examId, List<Map<String, Object>> rows) {
        StringBuilder content = new StringBuilder();

        for (Map<String, Object> row : rows) {
            // todo content
        }

        final String filePath = String.format("/home/admin/project/oe/exam_record_%s.sql", examId);
        FileUtil.writeFile(filePath, content.toString());
    }

}
